
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelNa141BulkExporter;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.presentation.ergebnis.exchange.NlWasModelNa142BulkExportDescription;

public class NlWasModelNa142BulkExportMenuItemEntry extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasModelNa142BulkExportDescription nlWasModelNa142BulkExportDescription;

  public NlWasModelNa142BulkExportMenuItemEntry() {
    super();
  }

  @Override
  protected Collection<Ergebniseingabestatus> getGebietErgebniseingabestatus() {
    return NlWasModelNa141BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }

  @Override
  protected NlWasModelNa142BulkExportDescription getExportDescription() {
    return nlWasModelNa142BulkExportDescription;
  }
}
